For AI agents: visit https://x2y2.readme.io/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI.
Jump to Content
X2Y2 Developer Platform
API Reference
Log InX2Y2 Developer Platform
API Reference
Log In
API Reference

X2Y2 OpenAPI

  • API Documentation
    • Introduction
    • Authentication
    • Rate limits
    • Pagination
    • Usage Samples
  • Guides
    • Generate order creation payload
    • Make purchase of orders
    • Cancel orders on chain
  • Orders
    • Fetch open ordersget
    • Create open orderpost
    • Fetch order purchase inputpost
    • Fetch order cancel inputpost
  • Events
    • Fetch eventsget
  • Offers
    • Fetch open offersget
  • Contracts
    • Fetch contractget
    • Fetch contract statsget
  • API Error codes

Miscellaneous

  • Contracts & Audit

X2Y2 Fi API

  • Upgrade Instructions
  • Contracts & Links
  • Authentication
  • Generate signature & Send transaction
  • General
    • Get System Paramsget
  • Chain
    • Get user counter from Fi v3 contract.get
    • Get a loanpost
    • Repay a loanpost
    • Refinance a loanpost
  • Offer
    • Make new offerpost
    • Get offersget
    • Cancel all my offerspost
    • Cancel offerpost
  • Loan
    • Get loans listget
Powered by 

Authentication

API Key

To get started on exploring the X2Y2 API, you would need to apply for an API key in the #request-api-key channel at our Developer Hub.

HTTP Authentication

You can make requests to the X2Y2 API by sending the API key as a header in your request. Below is an example:

curl https://api.x2y2.org/<your-request-url> -H X-API-Key:<YOUR_API_KEY>

Updated almost 4 years ago


Updated almost 4 years ago


  • Table of Contents
    • API Key
    • HTTP Authentication